3. System Requirements

Feature Minimal OpenCL
OS Linux: Ubuntu 14.04 or later, CentOS 6.5 or later driver
Hardware x86-64 CPU, 4GB of RAM Nvidia or AMD GPU
Python >= 2.7.8 or >=3.4.1 (preferable)  
Utilities GNU coreutils, git, subversion  
Libraries libzmq4, libpgm, libopenblas, libsnappy OpenCL ICD Loader
Python packages
matplotlib>=1.4.0
numpy>=1.8.2
scipy>=0.13.3
Pillow>=2.0.0
six>=1.3.0
tornado>=4.0
tornado-smtpclient>=0.1.5
motor<0.4,>=0.3
pymongo==2.7.1
twisted>=14.0.0
ply>=3.4
paramiko==1.13.0
opencl4py>=1.0
argcomplete>=0.8
ipython<4.0.0
jpeg4py>=0.1.0
cffi>=0.8.2
glymur>=0.5.10
lockfile>=0.9.1
python-snappy>=0.5
posix-ipc>=0.9.8
pycrypto>=2.6.1
ecdsa>=0.11
pyzmq>=14.3.1
wget>=2.2
service_identity>=0.2
pygit2==0.21.4
pyinotify>=0.9.4
cuda4py>=1.0
psutil>=1.2.1
pyxDamerauLevenshtein>=1.2
h5py>=2.2
jinja2>=2.7.2
pycparser>=2.10
pyodbc>=3.0.10
markdown>=2.6.2
py-gfm>=0.1.1
weasyprint>=0.23
pyasn1>=0.1.8
lmdb>=0.86
 

To build Veles’ integration with Java/Hadoop, you will need Maven3 and JDK 1.7.

Previous topic

2. Machine Learning Algorithms

Next topic

4. User’s setup on Ubuntu (entry/medium level users)

This Page